Skip to main content
GET
Wait for an execution to finish

Authorizations

X-Api-Key
string
header
required

Path Parameters

executionId
string<uuid>
required

Query Parameters

timeoutSeconds
integer<int32>

Seconds to wait for the execution to finish before returning 202. Defaults to 25.

Required range: 1 <= x <= 25

Response

The request has succeeded.

executionId
string<uuid>
required
status
enum<string>
required

The execution's status when the call returned: terminal on 200, the current status on 202

Available options:
queued,
starting,
running,
paused,
awaiting_confirmation,
completed,
cancelled,
failed,
paused_by_agent
executionResult
object

Outcome, reasoning and result data. Present on 200 when the execution recorded a result.